Home
Home
  1. Reports
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable widgets
    • Overview
    • Document upload widget
      • Designing an upload flow
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Uploading documents
    • Country-specific fields
    • Supported document types
  • API reference
    • Submissions
      • Reports
        • List available report templates
          GET
        • Download a report
          GET
      • Create new submission
        POST
      • Get submission
        GET
      • Update submission
        PUT
      • Update submission status
        PUT
      • Run a submission pre-flight check
        POST
      • Run business verification
        POST
      • Get submission checks
        GET
      • Delete submission
        DELETE
      • List submissions
        GET
    • Documents
      • Public documents API
        • List documents (public)
        • Upload document (public)
        • Get document (public)
        • Delete document (public)
        • Download document file (public)
        • Rerun validations (public)
      • List documents
      • Upload document
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC search
      • RPC search
      • Get company with ID
      • Look up company by RFC
      • Search companies by name
      • Download RPC document
    • Utilities
      • Matcher
        • Run name matching
  1. Reports

List available report templates

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
GET
https://api.niva.co/v1
/submissions/{id}/report_templates
Lists the report templates on your account whose country_code matches the submission's, sorted by name. Use it to find the template ID (rtmp_…) to pass to Download a report. The response is a plain array, not paginated.

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.niva.co/v1/submissions/sub_3ZMd9KJnvAdYt4mOyW7YQRAp/report_templates' \
--header 'Accept-Language: en' \
--header 'apiKey: <api-key>'

Responses

🟢200OK
application/json
Success
Bodyapplication/json

Example
[
  {
    "id": "rtmp_XKR9j7mAV06bkf305qyO2Wk1",
    "name": "KYB summary",
    "country_code": "mx",
    "created_at": "2026-10-23T21:31:33.329Z",
    "updated_at": "2026-10-23T21:31:33.342Z"
  }
]
🟠401Unauthorized
🟠404Not Found
🔴500Internal Server Error
Previous
Reports
Next
Download a report